Change logs for x264 source package in Sid

  • x264 (2:0.160.3011+gitcde9a93-2) unstable; urgency=medium
    
      * Team upload
      * Upload to unstable
      * debian/rules: Fix awk invocation to work with make 4.2 and 4.3 (Closes:
        #966241)
    
     -- Sebastian Ramacher <email address hidden>  Sun, 26 Jul 2020 16:52:56 +0200
  • x264 (2:0.159.2999+git296494a-2) unstable; urgency=medium
    
      * Team upload
      * Upload to unstable
    
     -- Sebastian Ramacher <email address hidden>  Sun, 12 Jul 2020 18:46:44 +0200
  • x264 (2:0.155.2917+git0a84d98-2) unstable; urgency=medium
    
      * Team upload.
      * Upload to unstable.
    
     -- Sebastian Ramacher <email address hidden>  Thu, 27 Sep 2018 22:03:40 +0200
  • x264 (2:0.152.2854+gite9a5903-2) unstable; urgency=medium
    
      * Team upload.
      * Upload to unstable.
    
     -- Sebastian Ramacher <email address hidden>  Fri, 19 Jan 2018 12:36:28 +0100
  • x264 (2:0.148.2795+gitaaa9aa8-1) unstable; urgency=medium
    
      [ Rico Tzschichholz ]
      * Update to new stable upstream
      * New upstream version 0.148.2795+gitaaa9aa8
      * Regenerate manpage
      * Update copyright years
    
      [ Sebastian Ramacher ]
      * debian/control: Bump Standards-Version.
    
     -- Rico Tzschichholz <email address hidden>  Wed, 28 Jun 2017 08:31:44 +0200
  • x264 (2:0.148.2748+git97eaef2-1) unstable; urgency=medium
    
      * Update to new stable upstream
      * New upstream version 0.148.2748+git97eaef2
      * Regenerate manpage
    
     -- Rico Tzschichholz <email address hidden>  Wed, 25 Jan 2017 10:40:48 +0100
  • x264 (2:0.148.2728+git4d5c8b0-1) unstable; urgency=medium
    
      * Update to new stable upstream
      * New upstream version 0.148.2728+git4d5c8b0
    
     -- Rico Tzschichholz <email address hidden>  Thu, 08 Dec 2016 09:36:51 +0100
  • x264 (2:0.148.2708+git86b7198-1) unstable; urgency=medium
    
      [ Ondřej Nový ]
      * autopkgtest: Use ffmpeg/ffprobe instead of deprecated avconv/avprobe
      * autopkgtest: Use $ADTTMP instead of own tmp directory
      * autopkgtest: Check if produced file is H.264
    
      [ Rico Tzschichholz ]
      * Update to new stable upstream
      * Imported Upstream version 0.148.2708+git86b7198
    
      [ Helmut Grohne ]
      * Fix FTCBFS: Pass cross flags to configure. (Closes: #838317)
    
     -- Rico Tzschichholz <email address hidden>  Wed, 21 Sep 2016 22:59:37 +0200
  • x264 (2:0.148.2699+gita5e06b9-1) unstable; urgency=medium
    
      * Update to new stable upstream
      * Imported Upstream version 0.148.2699+gita5e06b9
    
     -- Rico Tzschichholz <email address hidden>  Tue, 14 Jun 2016 08:20:58 +0200
  • x264 (2:0.148.2668+gitfd2c324-1) unstable; urgency=medium
    
      [ Sebastian Ramacher ]
      * debian/rules: Update comment.
      * debian/control.in:
        - Update Vcs-*.
        - Bump Standards-Version.
    
      [ Rico Tzschichholz ]
      * Update to new stable upstream
      * Imported Upstream version 0.148.2668+gitfd2c324
    
     -- Rico Tzschichholz <email address hidden>  Thu, 12 May 2016 11:12:16 +0200
  • x264 (2:0.148.2643+git5c65704-1) unstable; urgency=medium
    
      [ Rico Tzschichholz ]
      * Update to new stable upstream
      * Imported Upstream version 0.148.2643+git5c65704
      * Refresh properly_detect_x32.patch
    
      [ Sebastian Ramacher ]
      * debian/confflags: No longer filter -g since we have automatic dbgsym
        packages now.
    
     -- Rico Tzschichholz <email address hidden>  Mon, 18 Jan 2016 18:36:02 +0100
  • x264 (2:0.148.2601+gita0cd7d3-3) unstable; urgency=medium
    
      * Team upload.
      * Upload to unstable.
    
     -- Sebastian Ramacher <email address hidden>  Sun, 01 Nov 2015 19:42:10 +0100
  • x264 (2:0.146.2555+git0c21480-1) unstable; urgency=medium
    
      [ Rico Tzschichholz ]
      * Update to new stable upstream
      * Imported Upstream version 0.146.2555+git0c21480
    
      [ Sebastian Ramacher ]
      * debian/source/lintian-overrides: Removed, no longer needed.
    
     -- Rico Tzschichholz <email address hidden>  Mon, 03 Aug 2015 16:37:49 +0200
  • x264 (2:0.146.2538+git121396c-3) unstable; urgency=medium
    
      * Team upload.
    
      [ Johannes Schauer ]
      * To avoid a circular build dependency, do not build depend on
        libavformat-dev, libffms2-dev and libgpac-dev and do not build the x264
        package when building the stage1 profile. To that end:
           - add build profile annotations to Build-Depends
           - add Build-Profiles field so that only the library is built in the
             stage1 build profile
           - add --disable-avs --disable-ffms --disable-gpac to common_confflags
             when building with stage1
           - depend on the proper versions of debhelper and dpkg-dev for parsing
             build profile information in debian/control
        Based on patch by Peter Pentchev
        (Closes: #752103, #735742)
    
      [ Sebastian Ramacher ]
      * debian/copyright: other is Expat.
    
     -- Sebastian Ramacher <email address hidden>  Wed, 15 Jul 2015 23:03:53 +0200
  • x264 (2:0.146.2538+git121396c-2) unstable; urgency=medium
    
      * Team upload.
      * Upload to unstable.
    
     -- Sebastian Ramacher <email address hidden>  Sat, 23 May 2015 14:57:56 +0200
  • x264 (2:0.142.2431+gita5831aa-1) unstable; urgency=low
    
    
      * Update to new upstream snapshot
      * Imported Upstream version 0.142.2431+gita5831aa
      * Fixes for armel and armhf (Closes: #752168)
    
     -- Reinhard Tartler <email address hidden>  Thu, 10 Jul 2014 21:21:51 -0400
  • x264 (2:0.142.2412+gitd7e6896-1) unstable; urgency=medium
    
    
      * Update to new upstream snapshot
      * Imported Upstream version 0.142.2412+gitd7e6896
      * Drop powerpcspe.patch which got upstreamed
    
     -- Rico Tzschichholz <email address hidden>  Sat, 07 Jun 2014 09:16:36 +0200
  • x264 (2:0.142.2389+git956c8d8-5) unstable; urgency=medium
    
    
      [ Peter Michael Green ]
      * Check gcc version directly to determine whether or not
        -fno-aggressive-loop-optimizations should be set rather than assuming based
        on architecture. Closes: #745104
    
      [ Reinhard Tartler ]
      * Recompile against libav10
      * Link dynamically against libgpac
    
     -- Reinhard Tartler <email address hidden>  Mon, 12 May 2014 18:52:02 -0400
  • x264 (2:0.142.2389+git956c8d8-4) unstable; urgency=low
    
    
      * Do not set -fno-aggressive-loop-optimizations on sparc, which was
        introduced only in gcc 4.8 and the debian sparc port currently uses
        only gcc 4.6 (closes: #743713)
    
     -- Reinhard Tartler <email address hidden>  Sat, 05 Apr 2014 17:45:59 -0400
  • x264 (2:0.142.2389+git956c8d8-3) unstable; urgency=low
    
    
      * Upload to unstable
      * Remove Andres Meja from Uploaders. Andres is MIA according to the MIA
        team. Thank you for maintaining x264, Andres! (Closes: #743527)
      * Bump standards version to 3.9.5, no changes needed
    
     -- Reinhard Tartler <email address hidden>  Sat, 05 Apr 2014 08:52:14 -0400
  • x264 (2:0.133.2339+git585324f-2) unstable; urgency=low
    
    
      * Upload to unstable
      * Tighten dependency on libgpac-dev
    
     -- Reinhard Tartler <email address hidden>  Thu, 15 Aug 2013 19:30:09 +0200
  • x264 (2:0.123.2189+git35cf912-1) unstable; urgency=low
    
    
      * Update to new upstream snapshot
      * Imported Upstream version 0.123.2189+git35cf912
      * Regenerate manpage
    
     -- Rico Tzschichholz <email address hidden>  Sun, 29 Apr 2012 19:56:17 +0200
  • x264 (2:0.120.2171+git01f7a33-4) unstable; urgency=low
    
    
      * Team upload.
      * Rebuild to pick gpac's new shlib.
    
     -- Alessio Treglia <email address hidden>  Sat, 21 Apr 2012 08:25:51 +0200
  • x264 (2:0.120.2171+git01f7a33-3) unstable; urgency=low
    
    
      * Fix issue of setting hardened CFLAGS for shared library.
    
     -- Andres Mejia <email address hidden>  Sat, 17 Mar 2012 14:00:21 -0400
  • x264 (2:0.120.2171+git01f7a33-2) unstable; urgency=low
    
    
      * Allow dev package to be multiarch installable.
      * Bump to Standards-Version 3.9.3.
      * Add hardened build flags excluding -O2 and -g.
    
     -- Andres Mejia <email address hidden>  Sat, 17 Mar 2012 13:37:11 -0400
  • x264 (2:0.120.2171+git01f7a33-1) unstable; urgency=low
    
    
      * Update to new upstream snapshot
      * Imported Upstream version 0.120.2171+git01f7a33
      * Regenerate manpage
    
     -- Rico Tzschichholz <email address hidden>  Thu, 15 Mar 2012 17:37:19 +0100
  • x264 (2:0.120.2151+gita3f4407-3) unstable; urgency=low
    
    
      * Upload to unstable
    
     -- Reinhard Tartler <email address hidden>  Wed, 15 Feb 2012 22:58:10 +0100
  • x264 (2:0.120.2151+gita3f4407-1) unstable; urgency=low
    
    
      * Update to new upstream snapshot
      * Imported Upstream version 0.120.2151+gita3f4407
      * Regenerate manpage
    
     -- Rico Tzschichholz <email address hidden>  Sun, 05 Feb 2012 10:31:05 +0100
  • x264 (2:0.118.2092+git6eac7c3-2) unstable; urgency=low
    
    
      [ Fabian Greffrath ]
      * Remove build-on-hurd.patch, it has already been applied upstream and
        is thus applied twice in Debian.
    
      [ Reinhard Tartler ]
      * Rebuild against newer libav 0.7.3 to enable libavfilter/libavcodec
        input support.
    
     -- Reinhard Tartler <email address hidden>  Sat, 31 Dec 2011 11:43:02 +0100
  • x264 (2:0.118.2092+git6eac7c3-1) unstable; urgency=low
    
    
      [ Rico Tzschichholz ]
      * New upstream snapshot.
      * Drop arch-alpha.patch which is upstream
    
      [ Reinhard Tartler ]
      * debian/control: normalize fieldswith wrap-and-sort
      * remove unnecessary Conflicts/Replaces on non-existing package x264-bin
    
     -- Reinhard Tartler <email address hidden>  Mon, 31 Oct 2011 19:47:16 +0100
  • x264 (2:0.118.2085+git8a62835-1) unstable; urgency=low
    
    
      * Team upload.
      * New upstream snapshot.
      * Drop basic-spell-check.patch which is upstream
      * Rename shared library package to lib264-118
    
     -- Rico Tzschichholz <email address hidden>  Thu, 13 Oct 2011 10:27:50 +0200
  • x264 (2:0.116.2042+git178455c-3) unstable; urgency=low
    
    
      * Debian's alpha buildds identify themselves as alphaev67,
        so consider alpha* as ALPHA (Closes: #642810).
    
     -- Fabian Greffrath <email address hidden>  Thu, 06 Oct 2011 10:33:25 +0200
  • x264 (2:0.116.2042+git178455c-2) unstable; urgency=low
    
    
      * Convert package to include multiarch support.
    
     -- Andres Mejia <email address hidden>  Sat, 17 Sep 2011 14:08:08 -0400
  • x264 (2:0.116.2042+git178455c-1) unstable; urgency=low
    
    
      * New upstream snapshot.
      * Allow compilation on the Hurd
    
     -- Reinhard Tartler <email address hidden>  Tue, 09 Aug 2011 20:44:54 +0200
  • x264 (2:0.116.2037+gitf8ebd4a-3) unstable; urgency=low
      [ Fabian Greffrath ]  * Build-Depend on yasm on all i386 and amd64 archs,    fixes FTBFS on kfreebsd-i386. Remove lpia, it's deprecated.  * Remove trailing comma from Build-Depends.  * Build ahsred lib with --enable-pic on mips*,    hopefully fixes FTBFS on these arches.  [ Reinhard Tartler ]  * enable parallel builds  * print config.log in case the configure script fails  * enable ffms2 input module -- Reinhard Tartler <email address hidden>  Wed, 27 Jul 2011 21:36:26 +0200
  • x264 (2:0.116.2037+gitf8ebd4a-2) unstable; urgency=low
      [ Fabian Greffrath ]  * Override dh_auto_clean, not dh_clean.  * Actually build the cli against the shared lib.  [ Andres Mejia ]  * Prepare new revision.  * Generate x264 manpage only once and drop build-depends on help2man. This    makes for one less build dependency to put on the buildd machines. x264    manpage should be generated once for each new release on a dev machine and    tracked in git packaging repo. -- Andres Mejia <email address hidden>  Tue, 26 Jul 2011 22:23:58 -0400
  • x264 (2:0.116.2037+gitf8ebd4a-1) unstable; urgency=low
      [ Andres Mejia ]  * New upstream release. (Closes: #405212)  * version.sh modifications no longer need to be made, an updated version.sh    is installed in upstream tarball.  * Shared library package is renamed to lib264-116.  * fix-8x8dct+slices+no-sliced-threads+cavlc+deblock.patch is removed, has    been applied upstream.  * Add DM-Upload-Allowed: yes.  * Convert package to 3.0 (quilt).  * Convert packaging to dh 7.  * Change Priority to optional.  * Update to my @debian.org email.  * Update VCS-* entries to new anonscm location.  * --enable-static must be explicitly set to build static library.  * Add proper version depends for debhelper.  * Update debian/copyright with new license information for new upstream    snapshot.  * Update debian/copyright to use DEP-5 spec.  * Add patch to do basic spell check.  * Include all public headers in dev package.  [ Reinhard Tartler ]  * Lower debhelper compat level to 7  * Don't set --enable-debug, no longer a known option for ./configure. -- Andres Mejia <email address hidden>  Mon, 25 Jul 2011 19:37:52 -0400